#
# spec file for package git (Version 1.4.3.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           git
BuildRequires:  asciidoc curl-devel sgml-skel xmlto
Version:        1.4.3.4
Release:        3
Summary:        git - a source code management tool
License:        GNU General Public License (GPL)
Group:          Development/Tools/Version Control
URL:            http://www.kernel.org/pub/software/scm/git/
Source0:        git-%{version}.tar.bz2
Patch0:         gitweb-suse.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       git-core, git-svn, git-cvs, git-arch, git-email, gitk

%description
This is an extremely fast directory content manager. It is intended to
be the base of an efficient, distributed source code management system.
This package includes rudimentary tools that can be used as a SCM, but
you should look elsewhere for tools for ordinary humans layered on top
of this.

This package will provide you with the complete core Git development
environment, bringing in all the subpackages.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>

%package core
Summary:        git-core--a Source Code Management Tool
Group:          Development/Tools/Version Control
Requires:       zlib >= 1.2, rsync, rcs, curl, less, openssh, python >= 2.3

%description core
This is an extremely fast directory content manager. It is intended to
be the base of an efficient, distributed source code management system.
This package includes rudimentary tools that can be used as a SCM, but
you should look elsewhere for tools for ordinary humans layered on top
of this.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>
    Junio C Hamano <junkio@cox.net>

%package svn
Summary:        git-svn - Git tools for importing Subversion repositories
Group:          Development/Tools/Version Control
Requires:       git-core = %{version}-%{release}, subversion

%description svn
Tools for importing Subversion repositories to the Git version control
system.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>
    Junio C Hamano <junkio@cox.net>

%package cvs
Summary:        git-cvs - Git tools for importing CVS repositories
Group:          Development/Tools/Version Control
Requires:       git-core = %{version}-%{release}, cvs, cvsps

%description cvs
Tools for importing CVS repositories to the Git version control system.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>
    Junio C Hamano <junkio@cox.net>

%package arch
Summary:        git-arch - Git tools for importing Arch repositories
Group:          Development/Tools/Version Control
Requires:       git-core = %{version}-%{release}, tla

%description arch
Tools for importing GNU Arch repositories to the GIT version control
system.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>
    Junio C Hamano <junkio@cox.net>

%package email
Summary:        git-email - Git tools for sending email
Group:          Development/Tools/Version Control
Requires:       git-core = %{version}-%{release} 

%description email
Email interface for the GIT version control system.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>
    Junio C Hamano <junkio@cox.net>

%package -n gitk
Summary:        gitk - Git revision tree visualiser
Group:          Development/Tools/Version Control
Requires:       git-core = %{version}-%{release}, tk >= 8.4

%description -n gitk
Tool for visualization of revision trees of projects maintained in the
Git version control system.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>
    Junio C Hamano <junkio@cox.net>

%prep
%setup
%patch0

%build
make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" WITH_OWN_SUBPROCESS_PY=YesPlease NO_EXPAT=1 \
     prefix=%{_prefix} all %{!?_without_docs: doc}

%install
rm -rf $RPM_BUILD_ROOT
make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" DESTDIR=$RPM_BUILD_ROOT WITH_OWN_SUBPROCESS_PY=YesPlease NO_EXPAT=1 \
     prefix=%{_prefix} mandir=%{_mandir} \
     install %{!?_without_docs: install-doc}
install -d ${RPM_BUILD_ROOT}/srv/git
install -d ${RPM_BUILD_ROOT}/srv/www/cgi-bin
cp gitweb/gitweb.cgi $RPM_BUILD_ROOT/srv/www/cgi-bin/gitweb.cgi
(find $RPM_BUILD_ROOT%{_bindir} -type f | grep -vE "archimport|svn|cvs|email|gitk" | sed -e s@^$RPM_BUILD_ROOT@@)               > bin-man-doc-files
%if %{!?_without_docs:1}0
(find $RPM_BUILD_ROOT%{_mandir} $RPM_BUILD_ROOT/Documentation -type f | grep -vE "archimport|svn|git-cvs|email|gitk" | sed -e s@^$RPM_BUILD_ROOT@@ -e 's/$/*/' ) >> bin-man-doc-files
%endif
make -C perl DESTDIR=${RPM_BUILD_ROOT} install_vendor
rm -rf ${RPM_BUILD_ROOT}/usr/lib/perl5/site_perl
%perl_process_packlist
find $RPM_BUILD_ROOT/%_mandir -type f -print0 | xargs -0 chmod 644

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README

%files svn
%defattr(-,root,root)
%{_bindir}/*svn*
%doc Documentation/*svn*.txt
%{!?_without_docs: %{_mandir}/man1/*svn*.1*}
%{!?_without_docs: %doc Documentation/*svn*.html }

%files cvs
%defattr(-,root,root)
%doc Documentation/*git-cvs*.txt
%{_bindir}/*cvs*
%{!?_without_docs: %{_mandir}/man1/*cvs*.1*}
%{!?_without_docs: %doc Documentation/*git-cvs*.html }

%files arch
%defattr(-,root,root)
%doc Documentation/git-archimport.txt
%{_bindir}/git-archimport
%{!?_without_docs: %{_mandir}/man1/git-archimport.1*}
%{!?_without_docs: %doc Documentation/git-archimport.html }

%files email
%defattr(-,root,root)
%doc Documentation/*email*.txt
%{_bindir}/*email*
%{!?_without_docs: %{_mandir}/man1/*email*.1*}
%{!?_without_docs: %doc Documentation/*email*.html }

%files -n gitk
%defattr(-,root,root)
%doc Documentation/*gitk*.txt
%{_bindir}/*gitk*
%{!?_without_docs: %{_mandir}/man1/*gitk*.1*}
%{!?_without_docs: %doc Documentation/*gitk*.html }

%files core -f bin-man-doc-files
%defattr(-,root,root)
%{_datadir}/git-core/
/srv/git/
/srv/www/cgi-bin/gitweb.cgi
%doc README COPYING Documentation/*.txt
%{!?_without_docs: %doc Documentation/*.html }
/var/adm/perl-modules/%{name}
%{perl_vendorlib}/Error.pm
%{perl_vendorlib}/Git.pm
%{perl_vendorarch}/auto/Git/

%changelog -n git
* Sat Nov 18 2006 - pbaudis@suse.cz
- Fix build failure from previous change (trivial omission)
* Fri Nov 17 2006 - pbaudis@suse.cz
- Fix git-arch package containing git-archive and git-upload-archive
  [#222074]
* Fri Nov 17 2006 - pbaudis@suse.cz
- Upgrade to git-1.4.3.4 - only few bugfixes, most importantly
  git-apply wouldn't apply creation/deletion patches
* Tue Nov 07 2006 - ro@suse.de
- fix permissions for manpages
* Sat Oct 28 2006 - meissner@suse.de
- use RPM_OPT_FLAGS also in %%install make
* Thu Oct 26 2006 - pbaudis@suse.cz
- Upgrade to git-1.4.3.3 - bugfixes release
* Thu Oct 19 2006 - pbaudis@suse.cz
- Update to git-1.4.3 - UI improvements, speedups, random new
  features (e.g. git-daemon name-based virtual hosting support),
  basic Git.pm
- Fixes build failures due to asciidoc incompatibilities
* Tue Jul 25 2006 - pbaudis@suse.cz
- Update to git-1.4.1.1 - includes gitweb, many bugfixes, some
  commands are converted from shell to C, aliasing support,
  documentation improvements and so on.
- Junio's patch got applied upstream.
- Pre-create /srv/git for bare Git repositories hosting.
- Install gitweb to /srv/www/cgi-bin pre-configured to look
  for packages at /srv/git.
* Mon May 15 2006 - pbaudis@suse.cz
- Update to git-core-1.3.1 - git-cvsserver pserver interface,
  .git/refs/remotes branches support, blame/annotate tools,
  builtin diff, faster and better rename detection and number
  of other stuff.
- Add Junio's patch for saner handling of symlink refs. This is
  an important bugfix since without this, it is impossible to
  bisect behind kernel linux-v2.6.15-g117a93d.
- Olaf Hering's cutnpaste patch got applied upstream.
* Mon Mar 13 2006 - ro@suse.de
- change requires from "openssh-clients" to "openssh"
  (former does not exist)
* Fri Mar 10 2006 - pbaudis@suse.cz
- Add Olaf Hering's patch for easier cut'n'pasting.
* Tue Mar 07 2006 - pbaudis@suse.cz
- Update to git-core 1.2.4.
- This is a security fix: there was a buffer overflow when checking
  out a tree with an insanely long symlink. (No Bugzilla id.)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - pbaudis@suse.cz
- Fix the specfile build (no expat and asciidoc, xmlto problems)
* Mon Jan 16 2006 - pbaudis@suse.cz
- Update to git-core 1.1.3.
- Modify the specfile so that it looks more like the stock one.
- Split bits to subpackages
* Sun Dec 04 2005 - schwab@suse.de
- Fix embedded paths.
* Wed Oct 05 2005 - schwab@suse.de
- Don't build documentation in parallel.
* Mon Sep 19 2005 - schwab@suse.de
- Update to git-core 0.99.7.
- Install manpages.
* Fri Aug 05 2005 - kasievers@suse.de
- New version 0.99.3git20050905
  rename git to git-core, to match the upstream package name
* Sun Jul 03 2005 - kasievers@suse.de
- New version 0.7git20050703
* Thu Jun 30 2005 - kasievers@suse.de
- New version 20050630
* Fri Jun 24 2005 - kasievers@suse.de
- New version 20050624
* Sun Jun 12 2005 - kay.sievers@suse.de
- New version 20050612
* Thu Jun 02 2005 - kay.sievers@suse.de
- Split git/Cogito into separate packages
- Update git to version 20050602
* Fri May 20 2005 - schwab@suse.de
- Use RPM_OPT_FLAGS.
- Specfile cleanup.
* Fri May 20 2005 - mmj@suse.de
- %%_libdir -> FHS libexec
* Fri May 20 2005 - skh@suse.de
- initial package
